Bug 470682 - Please add /usr/lib[64]/sse2/libx264.so.* to file_context as textrel_shlib_t
Please add /usr/lib[64]/sse2/libx264.so.* to file_context as textrel_shlib_t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 15:32 EST by Hans de Goede
Modified: 2009-04-16 04:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 04:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-11-08 15:32:56 EST
Today a new version of x264-libs was pushed to the rpmfusion repository, which just like the libav*.so.* libs some days ago has gotten a new sse2 enhanced version which lives under /usr/lib[64]/sse2, and just like the libav*.so.* case, now needs to have the selinux file_context rule marking libx264.so.* as textrel_shlib_t extended to also cover the /usr/lib[64]/sse2/libx264.so.* case.

Thanks!
Comment 1 Daniel Walsh 2008-11-10 10:34:51 EST
Fixed in selinux-policy-3.5.13-19.fc10
Comment 2 Bug Zapper 2008-11-26 00:04:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Hans de Goede 2009-04-16 04:29:00 EDT
I can confirm this is fixed, closing.

Note You need to log in before you can comment on or make changes to this bug.